package a3test.lightweight;

import jp.sourceforge.acerola3d.a3.*;
import javax.swing.*;
import java.awt.*;

public class Swing {
    public static void main(String args[]) throws Exception {
        JA3Window w = new JA3Window(300,300);
        A3Text3D t = new A3Text3D("test");
        t.setScale(0.3);
        w.add(t);

        JA3Canvas c = w.getJA3Canvas();
        //c.setLayout(new FlowLayout());
        JButton b = new JButton("button");
        b.setForeground(Color.red);
        c.add(b);
        c.doLayout();
    }
}
